summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rwxr-xr-xsource/a/util-linux/util-linux.SlackBuild5
-rw-r--r--source/a/util-linux/util-linux.chfn.diff18
-rwxr-xr-xsource/l/mozilla-nss/mozilla-nss.SlackBuild4
-rwxr-xr-xsource/l/python-idna/python-idna.SlackBuild2
-rw-r--r--source/l/python-idna/python-idna.url2
-rwxr-xr-xsource/x/libwacom/libwacom.SlackBuild4
-rw-r--r--source/x/libwacom/libwacom.joystick_property_matching.patch27
7 files changed, 56 insertions, 6 deletions
diff --git a/source/a/util-linux/util-linux.SlackBuild b/source/a/util-linux/util-linux.SlackBuild
index a7eaff24a..7d149b4ff 100755
--- a/source/a/util-linux/util-linux.SlackBuild
+++ b/source/a/util-linux/util-linux.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=util-linux
VERSION=${VERSION:-$(echo util-linux*.tar.xz | cut -d - -f 3 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
ADJTIMEXVERS=1.29
SETSERIALVERS=2.17
@@ -123,6 +123,9 @@ zcat $CWD/util-linux.fdisk-no-solaris.diff.gz | patch -p1 --verbose || exit 1
# /dev/ram* devices in 'fdisk -l' output:
zcat $CWD/util-linux.do.not.list.ram.devices.diff.gz | patch -p1 --verbose || exit 1
+# Fix a chfn bug when using readline:
+zcat $CWD/util-linux.chfn.diff.gz | patch -p1 --verbose || exit 1
+
# This just call the configure script with $1 either being 2 for python2
# or 3 for python3.
#
diff --git a/source/a/util-linux/util-linux.chfn.diff b/source/a/util-linux/util-linux.chfn.diff
new file mode 100644
index 000000000..7947f72d1
--- /dev/null
+++ b/source/a/util-linux/util-linux.chfn.diff
@@ -0,0 +1,18 @@
+--- ./login-utils/chfn.c.orig 2020-05-20 07:27:43.465013472 -0500
++++ ./login-utils/chfn.c 2020-06-27 14:11:54.733895362 -0500
+@@ -236,12 +236,13 @@
+ if (!def_val)
+ def_val = "";
+ while (true) {
+- printf("%s [%s]: ", question, def_val);
++ printf("%s [%s]:", question, def_val);
+ __fpurge(stdin);
+ #ifdef HAVE_LIBREADLINE
+ rl_bind_key('\t', rl_insert);
+- if ((buf = readline(NULL)) == NULL)
++ if ((buf = readline(" ")) == NULL)
+ #else
++ printf(" ");
+ if (getline(&buf, &dummy, stdin) < 0)
+ #endif
+ errx(EXIT_FAILURE, _("Aborted."));
diff --git a/source/l/mozilla-nss/mozilla-nss.SlackBuild b/source/l/mozilla-nss/mozilla-nss.SlackBuild
index d303674c4..a96306100 100755
--- a/source/l/mozilla-nss/mozilla-nss.SlackBuild
+++ b/source/l/mozilla-nss/mozilla-nss.SlackBuild
@@ -26,8 +26,8 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mozilla-nss
SRCNAM=nss
-VERSION=${VERSION:-3.53.1}
-NSPR=${NSPR:-4.25}
+VERSION=${VERSION:-3.54}
+NSPR=${NSPR:-4.26}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
diff --git a/source/l/python-idna/python-idna.SlackBuild b/source/l/python-idna/python-idna.SlackBuild
index a5e6f9d24..3ce4eb5f2 100755
--- a/source/l/python-idna/python-idna.SlackBuild
+++ b/source/l/python-idna/python-idna.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=python-idna
VERSION=${VERSION:-$(echo idna-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
SRCNAM=idna
diff --git a/source/l/python-idna/python-idna.url b/source/l/python-idna/python-idna.url
index 1bd73261b..be2438177 100644
--- a/source/l/python-idna/python-idna.url
+++ b/source/l/python-idna/python-idna.url
@@ -1 +1 @@
-https://github.com/kjd/idna
+https://github.com/kjd/idna/releases
diff --git a/source/x/libwacom/libwacom.SlackBuild b/source/x/libwacom/libwacom.SlackBuild
index 207b2374f..e4e187378 100755
--- a/source/x/libwacom/libwacom.SlackBuild
+++ b/source/x/libwacom/libwacom.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libwacom
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -79,6 +79,8 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+zcat $CWD/libwacom.joystick_property_matching.patch.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
diff --git a/source/x/libwacom/libwacom.joystick_property_matching.patch b/source/x/libwacom/libwacom.joystick_property_matching.patch
new file mode 100644
index 000000000..84360dc92
--- /dev/null
+++ b/source/x/libwacom/libwacom.joystick_property_matching.patch
@@ -0,0 +1,27 @@
+From 9bacf5a1bf079c972abd66b3bd8bca923ae6ecb1 Mon Sep 17 00:00:00 2001
+From: Sebastian Keller <sebastian-keller@gmx.de>
+Date: Sat, 27 Jun 2020 17:21:53 +0200
+Subject: [PATCH] tools: Fix joystick property matching in udev rule
+
+This was not doing actual matching of the property, but assigning it,
+which resulted in no device being assigned this property. This broke
+gamepad/joystick permissions.
+
+Fixes #271
+---
+ tools/65-libwacom.rules.in | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/tools/65-libwacom.rules.in b/tools/65-libwacom.rules.in
+index e7ce4aa..04f2bf3 100644
+--- a/tools/65-libwacom.rules.in
++++ b/tools/65-libwacom.rules.in
+@@ -20,6 +20,6 @@ KERNELS=="input*", \
+
+ # We can't unset properties through the hwdb but we can set them to zero.
+ # So let's have a rule that converts the 0 properties to unset ones.
+-ENV{ID_INPUT_JOYSTICK}="0", ENV{ID_INPUT_JOYSTICK}=""
++ENV{ID_INPUT_JOYSTICK}=="0", ENV{ID_INPUT_JOYSTICK}=""
+
+ LABEL="libwacom_end"
+